package com.bootdo.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix="bootdo")
public class BootdoConfig {
	//上传路径
	private String uploadPath;

	private String encPrival;

	private String crtPrival;

	private String licensePath;

	private String username;

	private String password;

	public String getUploadPath() {
		return uploadPath;
	}

	public void setUploadPath(String uploadPath) {
		this.uploadPath = uploadPath;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getEncPrival() {
		return encPrival;
	}

	public String getLicensePath() {
		return licensePath;
	}

	public void setLicensePath(String licensePath) {
		this.licensePath = licensePath;
	}

	public void setEncPrival(String encPrival) {
		this.encPrival = encPrival;
	}

	public String getCrtPrival() {
		return crtPrival;
	}

	public void setCrtPrival(String crtPrival) {
		this.crtPrival = crtPrival;
	}
}
